Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   Gentoo Development (http://www.linux-archive.org/gentoo-development/)
-   -   kernel-2.eclass problem with unpacking patches (http://www.linux-archive.org/gentoo-development/428485-kernel-2-eclass-problem-unpacking-patches.html)

Tomáš Chvátal 09-17-2010 07:41 PM

kernel-2.eclass problem with unpacking patches
 
Hi guys,
i found the painfull way that kernel eclass does not die if it fails to
unpack patch file supplied to it.

So i propose the patch i attach for inclusion :)

Result with this patch:
>>> Unpacking source...
>>> Unpacking linux-2.6.35.tar.bz2 to
/var/tmp/portage/sys-kernel/tuxonice-sources-2.6.35-r2/work
>>> Unpacking genpatches-2.6.35-8.base.tar.bz2 to
/var/tmp/portage/sys-kernel/tuxonice-sources-2.6.35-r2/work/patches/000001
>>> Unpacking genpatches-2.6.35-8.extras.tar.bz2 to
/var/tmp/portage/sys-kernel/tuxonice-sources-2.6.35-r2/work/patches/000002
bzip2:
/var/tmp/portage/sys-kernel/tuxonice-sources-2.6.35-r2/distdir/tuxonice-3.2-rc2-for-2.6.35.patch.bz2
is not a bzip2 file.
* ERROR: sys-kernel/tuxonice-sources-2.6.35-r2 failed:
* uncompressing patch failed

Without patch:
patchfile gets ignored and you might fail to notice it (as it happened
to me since i use different workbox and commit box and upstream gladly
for fetching returns html code instead of good old 404).

Cheers

Tomas
Index: kernel-2.eclass
================================================== =================
RCS file: /var/cvsroot/gentoo-x86/eclass/kernel-2.eclass,v
retrieving revision 1.240
diff -u -b -B -r1.240 kernel-2.eclass
--- kernel-2.eclass 3 Aug 2010 18:31:08 -0000 1.240
+++ kernel-2.eclass 17 Sep 2010 19:40:03 -0000
@@ -870,9 +870,9 @@
PATCH_ORDER="${z}${STRICT_COUNT}"

mkdir -p ${KPATCH_DIR}/${PATCH_ORDER}/
- $(${PIPE_CMD} ${i} > ${KPATCH_DIR}/${PATCH_ORDER}/${x}.patch${PATCH_LEVEL})
+ $(${PIPE_CMD} ${i} > ${KPATCH_DIR}/${PATCH_ORDER}/${x}.patch${PATCH_LEVEL}) || die "uncompressing patch failed"
else
- $(${PIPE_CMD} ${i} > ${KPATCH_DIR}/${x}.patch${PATCH_LEVEL})
+ $(${PIPE_CMD} ${i} > ${KPATCH_DIR}/${x}.patch${PATCH_LEVEL}) || die "uncompressing patch failed"
fi
fi
fi

Mike Frysinger 09-17-2010 09:37 PM

kernel-2.eclass problem with unpacking patches
 
On Friday, September 17, 2010 15:41:17 Tomáš Chvátal wrote:
> i found the painfull way that kernel eclass does not die if it fails to
> unpack patch file supplied to it.
>
> So i propose the patch i attach for inclusion :)

looks ok, thanks

> patchfile gets ignored and you might fail to notice it (as it happened
> to me since i use different workbox and commit box and upstream gladly
> for fetching returns html code instead of good old 404).

if it's a site listed in thirdpartymirrors, then it should be removed from the
mirror list. if it's a site listed in SRC_URI, be nice to find a different
site, but i guess that's not always feasible.
-mike

Tomáš Chvátal 09-17-2010 09:46 PM

kernel-2.eclass problem with unpacking patches
 
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Dne 17.9.2010 23:37, Mike Frysinger napsal(a):
> On Friday, September 17, 2010 15:41:17 Tomáš Chvátal wrote:
>> i found the painfull way that kernel eclass does not die if it fails to
>> unpack patch file supplied to it.
>>
>> So i propose the patch i attach for inclusion :)
>
> looks ok, thanks
As i run test to run src unpack for all ebuilds in sys-kernel only
tuxonice ones which were supposed to fail failed and got ack from Robin
too i commited the change. :)
>
>> patchfile gets ignored and you might fail to notice it (as it happened
>> to me since i use different workbox and commit box and upstream gladly
>> for fetching returns html code instead of good old 404).
>
> if it's a site listed in thirdpartymirrors, then it should be removed from the
> mirror list. if it's a site listed in SRC_URI, be nice to find a different
> site, but i guess that's not always feasible.
> -mike
Yeah i would love to, but this is some durpal site tuxonice upstream
migrated to :/

Tomas
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.16 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAkyT4ZoACgkQHB6c3gNBRYeSjACgsDMAJ6RYKj XxXU1ddkB24Yuw
s2IAoK7GfOoc/DhiTh1WK7JpWWbN4A2A
=Ot7k
-----END PGP SIGNATURE-----


All times are GMT. The time now is 07:37 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.